Bug 27326 - JPopupMenu broken again
Summary: JPopupMenu broken again
Status: RESOLVED FIXED
Alias: None
Product: classpath
Classification: Unclassified
Component: swing (show other bugs)
Version: 0.90
: P3 blocker
Target Milestone: 0.91
Assignee: Roman Kennke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-26 15:01 UTC by Norman Hendrich
Modified: 2006-05-02 13:39 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2006-04-30 09:05:47


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Norman Hendrich 2006-04-26 15:01:14 UTC
I just downloaded and built classpath cvs (2006.04.26) on Linux x86
and tested with jamvm 1.4.2 with my twm/ctwm window manager.
Unfortunately, popup menus are broken again.

Please compile and run a Swing application with a JPopup menu, e.g.
my testcase PR24651b.java for bug #24651. Showing the popup menu 
works, but as soon as I try to enter the menu to select something,
the popup instantly closes. 

Could someone please confirm this issue with KDE/Gnome/etc? This 
behavior might be window-manager dependent.

- Norman
Comment 1 Roman Kennke 2006-04-30 09:05:47 UTC
I'll take care of this and fix it before the release.
Comment 2 cvs-commit@developer.classpath.org 2006-05-02 13:09:56 UTC
Subject: Bug 27326

CVSROOT:	/cvsroot/classpath
Module name:	classpath
Branch: 	
Changes by:	Roman Kennke <rabbit78@savannah.gnu.org>	06/05/02 13:04:22

Modified files:
	.              : ChangeLog 
	javax/swing    : MenuSelectionManager.java 

Log message:
	2006-05-02  Roman Kennke <kennke@aicas.com>
	
	PR 27326
	* javax/swing/MenuSelectionManager.java
	(setSelectedPath): Rewritten.

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/classpath/classpath/ChangeLog.diff?tr1=1.7258&tr2=1.7259&r1=text&r2=text
http://cvs.savannah.gnu.org/viewcvs/classpath/classpath/javax/swing/MenuSelectionManager.java.diff?tr1=1.16&tr2=1.17&r1=text&r2=text



Comment 3 Roman Kennke 2006-05-02 13:17:41 UTC
This is fixed in CVS.
Comment 4 Norman Hendrich 2006-05-02 13:39:38 UTC
Confirmed. Both standard and popup menus work again with classpath
cvs 2006.05.02 (with MenuSelectionManager 1.17 from your patch). 
Thanks!